Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class ChangeSortFilterRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gmf.runtime.diagram.ui.requests.ChangeSortFilterRequest

public class ChangeSortFilterRequest
extends Request

Request to set the sort/filter view properties.

Constructor Summary
`ChangeSortFilterRequest()`
`ChangeSortFilterRequest(Filtering filtering, java.util.List filteredObjects, java.util.List filterKeys, Sorting sorting, java.util.List sortedObjects, java.util.Map sortKeys)`

Method Summary
`java.util.List` `getFilteredObjects()`
`Filtering` `getFiltering()`
`java.util.List` `getFilterKeys()`
`java.util.List` `getSortedObjects()`
`Sorting` `getSorting()`
`java.util.Map` `getSortKeys()`
`void` `setFilteredObjects(java.util.List filteredObjects)`
`void` `setFiltering(Filtering filtering)`
`void` `setFilterKeys(java.util.List filterKeys)`
`void` `setSortedObjects(java.util.List sortedObjects)`
`void` `setSorting(Sorting sorting)`
`void` `setSortKeys(java.util.Map sortKeys)`

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeSortFilterRequest

    public ChangeSortFilterRequest()

### ChangeSortFilterRequest

    public ChangeSortFilterRequest(Filtering filtering,
                                   java.util.List filteredObjects,
                                   java.util.List filterKeys,
                                   Sorting sorting,
                                   java.util.List sortedObjects,
                                   java.util.Map sortKeys)

Parameters:
  `filtering` -
  `filteredObjects` -
  `filterKeys` -
  `sorting` -
  `sortedObjects` -
  `sortKeys` -

Method Detail

### getFilteredObjects

    public java.util.List getFilteredObjects()

  Returns:
    Returns the filteredObjects.

### setFilteredObjects

    public void setFilteredObjects(java.util.List filteredObjects)

  Parameters:
    `filteredObjects` - The filteredObjects to set.

### getFiltering

    public Filtering getFiltering()

  Returns:
    Returns the filtering.

### setFiltering

    public void setFiltering(Filtering filtering)

  Parameters:
    `filtering` - The filtering to set.

### getFilterKeys

    public java.util.List getFilterKeys()

  Returns:
    Returns the filterKeys.

### setFilterKeys

    public void setFilterKeys(java.util.List filterKeys)

  Parameters:
    `filterKeys` - The filterKeys to set.

### getSortedObjects

    public java.util.List getSortedObjects()

  Returns:
    Returns the sortedObjects.

### setSortedObjects

    public void setSortedObjects(java.util.List sortedObjects)

  Parameters:
    `sortedObjects` - The sortedObjects to set.

### getSorting

    public Sorting getSorting()

  Returns:
    Returns the sorting.

### setSorting

    public void setSorting(Sorting sorting)

  Parameters:
    `sorting` - The sorting to set.

### getSortKeys

    public java.util.Map getSortKeys()

  Returns:
    Returns the sortKeys.

### setSortKeys

    public void setSortKeys(java.util.Map sortKeys)

  Parameters:
    `sortKeys` - The sortKeys to set.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.